package holaFicheroPack;

import java.io.File;
import java.io.IOException;
import java.util.Scanner;

public class HolaFichero {
	
    /* Ejercicio. Modifica el código para que automáticamente el programa detecte en que tipo de sistema operativo
    se encuentra y cuando cree el archivo lo haga correctamente teniendo en cuenta las rutas. Para ello debería aparecer
    existir sólo el método “CreoFichero” siendo el en encargado de averiguar el tipo de sistema.*/

    //Haremos en nuestro caso, que si no sea un SO Windows no se ejecute el programa en el método de 'crear',
    //comprobará automáticamente el SO en dicho metodo.
	
	//Atributos
    private static final Scanner lector = new Scanner(System.in);
    public enum SOS {
        LINUX, WINDOWS, NS_NC
    }
    
    //Main
    public static void main(String args[]) {

        try {
			createWndFile();
		} catch (IOException e) {
			System.out.println("*** Se ha cometido un error ..." + e.getMessage());
		}

    }

    //Metodo principal
    public static void createWndFile() throws IOException {

        String so = System.getProperty("os.name");

        if (so.equalsIgnoreCase(SOS.WINDOWS.toString())) {

            System.out.println("> Introduzca el directorio ...");
            String directory = lector.nextLine();

            System.out.println("> Introduzca el nombre del archivo ...");
            String file = lector.nextLine();

            File f = new File(directory + file);

            //

            System.out.println("> Creando fichero en Windows ...");

            if (!f.exists())
                f.createNewFile();

            System.out.println("+ Fichero creado correctamente en Windows.");

        } else {

            System.out.println("** Nuestro programa no crea archivos de sistemas operativos que no sean Windows.");

        }
        
    }
    
}
